%define name comix
%define version 3.6.2
%define summary Comic book viewer
%define title Comix

Summary: %summary
Name: %name
Version: %version
Release: %mkrel 1
License: GPL
Group: Office
URL: http://comix.sourceforge.net/
Source: http://dl.sf.net/comix/comix-%{version}.tar.bz2
Source1: %name-icons.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Buildarch: noarch
BuildRequires: python, python-imaging, jpeg-progs, pygtk2.0
Requires: python, python-imaging, jpeg-progs, pygtk2.0
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
Comix is a comic book viewer. It reads zip, rar, tar, tar.gz, and tar.bz2 
archives (often called .cbz, .cbr and .cbt) as well as normal image files.

%prep
%setup -q -n %{name}-%{version} -a1

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_prefix}
%{__python} install.py install --installdir %{buildroot}%{_prefix}

%find_lang %{name} --with-gnome

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{summary}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;Office;X-MandrivaLinux-Office-Publishing;
EOF

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%{update_desktop_database}
%{update_mime_database}

%postun
%{clean_desktop_database}
%{clean_mime_database}

%clean 
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog COPYING README
%doc %{_mandir}/man1/comicthumb.1*
%doc %{_mandir}/man1/comix.1*
%{_bindir}/comicthumb
%{_bindir}/comix
%{_datadir}/applications/*comix.desktop
%{_datadir}/icons/hicolor/48x48/apps/comix.png
%{_datadir}/pixmaps/comix.png
%{_datadir}/pixmaps/comix/
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png
%{_datadir}/icons/hicolor/scalable/apps/%name.svg
%dir %{_datadir}/mime
%{_datadir}/mime/*


%changelog
* Mon Feb 05 2007 Jérôme Soyer <saispo@mandriva.org> 3.6.2-1mdv2007.0
+ Revision: 116228
- New release 3.6.2

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 3.6.1-1mdv2007.1
+ Revision: 96446
- New release 3.6.1

* Mon Nov 27 2006 Jérôme Soyer <saispo@mandriva.org> 3.6-1mdv2007.1
+ Revision: 87467
- Fix BuildRequires
- New release 3.6
- Import comix



* Fri Aug 25 2006 Lenny Cartier <lenny@mandriva.com> 3.5.1-1mdv2007.0
- 3.5.1

* Tue Aug 01 2006 Jerome Soyer <saispo@mandriva.org> 3.4-1mdv2007.0
- New release 3.4

* Sun Jul 16 2006 Jerome Soyer <saispo@mandriva.org> 3.3-1mdv2007.0
- New release 3.3

* Sat Jun 25 2006 Jerome Soyer <saispo@mandriva.org> 3.2.1-1mdv2007.0
- New release 3.2.1
- XDG Menu

* Wed Jun 14 2006 Jerome Soyer <saispo@mandriva.org> 3.2-1mdv2007.0
- New release 3.2

* Mon May 22 2006 Jerome Soyer <saispo@mandriva.org> 3.1.3-1mdk
- New release 3.1.3

* Thu May 18 2006 Jerome Soyer <saispo@mandriva.org> 3.1.2-1mdk
- New release 3.1.2

* Fri May 05 2006 Jerome Soyer <saispo@mandriva.org> 3.1-1mdk
- New release 3.1

* Sat Apr 15 2006 Jerome Soyer <saispo@mandriva.org> 3.0.1-1mdk
- New release 3.0.1

* Sun Apr 02 2006 Jerome Soyer <saispo@mandriva.org> 3.0-1mdk
- New release 3.0

* Tue Mar 21 2006 Jerome Soyer <saispo@mandriva.org> 2.9-1mdk
- First build
- Inspired from FC Dag Repos
